Summary:	Framebuffer utilities for changing video modes
Name:		fbset
Version:	2.1
Release:	26
License:	GPL
Group:		System/Kernel and hardware
Url:		http://users.telenet.be/geertu/Linux/fbdev/
Source0:	fbset-%{version}.tar.bz2
Patch0:		fbset-2.0-pre-19981028.patch
Patch1:		fbset-2.1-fixmode.patch
Patch2:		fbset-2.1-mdkconf.patch
Patch3:		fbset-2.1-manfix.patch
BuildRequires:	bison
BuildRequires:	flex

%description
fbset is a utility for querying and changing video modes of fbcon consoles.

%files
%{_sbindir}/%{name}
%{_mandir}/man[58]/*
%config(noreplace) %{_sysconfdir}/fb.modes

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .mdkconf
%patch3 -p1

perl -pi -e 's|geometry 10224 768 10224 768 8|geometry 1024 768 1024 768 8|' etc/fb.modes.ATI
perl -pi -e 's|geometry 1024 1024 1024 1024 8|geometry 1280 1024 1280 1024 8|' etc/fb.modes.ATI

%build
%make CFLAGS="%{optflags}"

%install
#make install PREFIX=$RPM_BUILD_ROOT
install %{name} -D %{buildroot}%{_sbindir}/%{name}
bzip2 %{name}.8 fb.modes.5
install %{name}.8.bz2 -D %{buildroot}%{_mandir}/man8/%{name}.8.bz2
install fb.modes.5.bz2 -D %{buildroot}%{_mandir}/man5/fb.modes.bz2

install etc/fb.modes.ATI -D %{buildroot}%{_sysconfdir}/fb.modes


%changelog

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1-26
- (1342403) Build with system optflags
- (1342403) Add patches from Fedora to fix manpage and resolution


